﻿using System.Collections.Generic;
using System.Collections.ObjectModel;
using Syncfusion.SfKanban.XForms;
using Xamarin.Forms;

namespace KanbanSample
{
	public partial class KanbanSamplePage : ContentPage
	{
		public KanbanSamplePage()
		{
			//ObservableCollection<Employee> employees = new ObservableCollection<Employee>();
			InitializeComponent();

			//employees.Add(new Employee { DisplayName = "Rob Finnerty" });
			//employees.Add(new Employee { DisplayName = "Bill Wrestler" });
			//employees.Add(new Employee { DisplayName = "Dr. Geri-Beth Hooper" });
			//employees.Add(new Employee { DisplayName = "Dr. Keith Joyce-Purdy" });
			//employees.Add(new Employee { DisplayName = "Sheri Spruce" });
			//employees.Add(new Employee { DisplayName = "Burt Indybrick" });


			// EmployeeView.ItemsSource = employees;

			todoColumn.Categories = new List<object>() { "Open" };
			progressColumn.Categories = new List<object>() { "In Progress"};
			codeColumn.Categories = new List<object>() { "Code Review" };
			doneColumn.Categories = new List<object>() { "Done" };

		}
	}

	public class ViewModel
	{
		public ObservableCollection<KanbanModel> Cards { get; set; }
		public ViewModel()
		{
			Cards = new ObservableCollection<KanbanModel>();
			Cards.Add(new KanbanModel()
			{
				ID = 1,
				Title = "iOS - 1002",
				ImageURL = "image1.png",
				Category = "Open",
				Description = "Analyze customer requirements",
				ColorKey = "Red",
				Tags = new string[] { "Incident", "Customer" }
			});
			Cards.Add(new KanbanModel()
			{
				ID = 6,
				Title = "Xamarin - 4576",
				ImageURL = "image2.png",
				Category = "Open",
				Description = "Show the retrieved data from the server in grid control",
				ColorKey = "Green",
				Tags = new string[] { "Story", "Customer" }
			});
			Cards.Add(new KanbanModel()
			{
				ID = 13,
				Title = "UWP - 13",
				ImageURL = "image4.png",
				Category = "In Progress",
				Description = "Add responsive support to application",
				ColorKey = "Brown",
				Tags = new string[] { "Story", "Customer" }
			});
			Cards.Add(new KanbanModel()
			{
				ID = 2543,
				Title = "Xamarin_iOS - 2543",
				Category = "Code Review",
				ImageURL = "image3.png",
				Description = "Check login page validation",
				ColorKey = "Brown",
				Tags = new string[] { "Story", "Customer" }
			});
		}
	}

	//public class Employee
	//{
	//	public string DisplayName { get; set; }
	//}

}
